// slider styles
.slider{
    height:100vh;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 3;
    background: linear-gradient(to top, #2f2e2e 1%,#ffffff 100%);
    justify-content: center;
    align-items: center;
    display: none;
    transition: .5s;
    
    &.open{
        display: flex;
        transition: .5s;
    }
    &__items{
        width: 100%;
        
        height: 4%;
    }
    &__arrow{
        border: 2px solid $c-white;
        height: 160px;
        width: 80px;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        &:hover{
            .slider__arrow-icon{
               transform: scale(1.5)
            }
        }
        &-icon{
            transition: transform .35s;
            width: 30px;
            height: 50px;
        }
    }
    &__prev{
        border-right: 0;
    }
    &__next{
        border-left: 0;
    }
    &__arrows{
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: auto;
        width: 710px;
        position: absolute;
        z-index:9999;
        // top: 0;
        // left: 0;
    }
    

    &__img{
       
        width: 555px;
        height: 825px;
        visibility: hidden; /* hide images until carousel prepares them */
        cursor: pointer;


    }
    &__text{
        font-size: 50px;
        text-transform: uppercase;
        position: absolute;
        left: 15%;
        color: $c-white;
        bottom: 25px;

    }
}

// ////////////////////////////////////
// //Responsiwe
// ////////////////////////////////////
@media #{$screen2}{
        .slider{
            &__arrow{
                height: 100px;
                width: 50px;
            }
            &__arrows{

                width: 450px;
            }
            &__img{
                width: 355px;
                height: 525px;
            }
        }
        &__text{
            left: 10%;
        }
}
@media #{$desktop}{
    .slider{
        &__arrow{
            height: 100px;
            width: 50px;

            &-icon{
                width: 30px;
                height: 50px;
            }
        }
        &__arrows{
            width: 335px;
        }
        &__img{
            width: 240px;
            height: 355px;
        }
        &__text{
            font-size: 35px;
            left: 10%;
            bottom: 50px;
        }
    }
}
@media #{$phone}{
    .slider{
        &__arrow{
            height: 75px;
            width: 30px;

            &-icon{
                width: 20px;
                height: 30px;
            }
        }
        &__arrows{
            width: 330px;
        }
        &__img{
            width: 270px;
            height: 404px;
        }
        &__text{
            left: auto;
            bottom: 25px;
        }
    }
}
@media #{$iPhone}{
    .slider{
        &__arrows{
            width: 310px;
        }
        &__img{
            width: 250px;
            height: 360px;
        }
    }
}
